package de.ivu.elect.interfaces.was.niederschrift;

import java.util.Date;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class NiederschriftKorrektur {

  @XmlElement
  private String beschreibung;

  @XmlElement
  private String erfasser;

  @XmlElement(required = true)
  private NiederschriftKorrekturArt niederschriftKorrekturArt;

  @XmlElement
  private Date zeitstempel;

  public String getBeschreibung() {
    return beschreibung;
  }

  public void setBeschreibung(String beschreibung) {
    this.beschreibung = beschreibung;
  }

  public String getErfasser() {
    return erfasser;
  }

  public void setErfasser(String erfasser) {
    this.erfasser = erfasser;
  }

  public NiederschriftKorrekturArt getNiederschriftKorrekturArt() {
    return niederschriftKorrekturArt;
  }

  public void setNiederschriftKorrekturArt(NiederschriftKorrekturArt niederschriftKorrekturArt) {
    this.niederschriftKorrekturArt = niederschriftKorrekturArt;
  }

  public Date getZeitstempel() {
    return zeitstempel;
  }

  public void setZeitstempel(Date zeitstempel) {
    this.zeitstempel = zeitstempel;
  }
}
